Name: 		xfce4-websearch-plugin
Version: 	0.1.0
Release: 	5%{?dist}
Summary: 	Websearch plugin from the XFCE panel

Group: 		User Interface/Desktops
License:	GPL
URL: 		http://www.xfce.org/
Source0: 	http://download.berlios.de/xfce-goodies/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	xfce4-panel-devel >= 4.2, libxfcegui4-devel >= 4.2, libxml2-devel
BuildRequires:  gettext
Requires:	xfce4-panel >= 4.2

%description
Access searchengines from the XFCE panel.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir}
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_libdir}/xfce4/panel-plugins/*.so

%changelog
* Tue Apr 11 2006 Christoph Wickert <fedora wickert at arcor de> - 0.1.0-5
- Require xfce4-panel.

* Thu Dec 01 2005 Christoph Wickert <fedora wickert at arcor de> - 0.1.0-4
- Add libxfcegui4-devel BuildReqs.
- Fix %defattr.

* Mon Nov 14 2005 Christoph Wickert <fedora wickert at arcor de> - 0.1.0-3
- Initial Fedora Extras version.
- Rebuild for XFCE 4.2.3.
- disable-static instead of removing .a files.

* Fri Sep 23 2005 Christoph Wickert <fedora wickert at arcor de> - 0.1.0-2.fc4.cw
- Add libxml2 BuildReqs.

* Sat Jul 30 2005 Christoph Wickert <fedora wickert at arcor de> - 0.1.0-1%{?dist}%{?repo}
- Initial RPM release.
